package dev.shadowsoffire.apotheosis.adventure.affix.salvaging;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.adventure.affix.salvaging.SalvagingTableTile;
import dev.shadowsoffire.placebo.menu.MenuUtil;
import dev.shadowsoffire.placebo.menu.SimplerMenuProvider;
import java.util.List;
import net.minecraft.ChatFormatting;
import net.minecraft.core.BlockPos;
import net.minecraft.network.chat.Component;
import net.minecraft.world.InteractionHand;
import net.minecraft.world.InteractionResult;
import net.minecraft.world.MenuProvider;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.EntityBlock;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.phys.BlockHitResult;

public class SalvagingTableBlock extends Block implements EntityBlock {
  public SalvagingTableBlock(BlockBehaviour.Properties properties) {
    super(properties);
  }
  
  public MenuProvider m_7246_(BlockState pState, Level pLevel, BlockPos pPos) {
    return (MenuProvider)new SimplerMenuProvider(pLevel, pPos, dev.shadowsoffire.apotheosis.adventure.affix.salvaging.SalvagingMenu::new);
  }
  
  public InteractionResult m_6227_(BlockState state, Level level, BlockPos pos, Player player, InteractionHand hand, BlockHitResult hit) {
    return MenuUtil.openGui(player, pos, dev.shadowsoffire.apotheosis.adventure.affix.salvaging.SalvagingMenu::new);
  }
  
  public void m_5871_(ItemStack pStack, BlockGetter pLevel, List<Component> list, TooltipFlag pFlag) {
    list.add(Component.m_237115_(m_7705_() + ".desc").m_130940_(ChatFormatting.GRAY));
  }
  
  public BlockEntity m_142194_(BlockPos pPos, BlockState pState) {
    return (BlockEntity)new SalvagingTableTile(pPos, pState);
  }
  
  @Deprecated
  public void m_6810_(BlockState state, Level world, BlockPos pos, BlockState newState, boolean isMoving) {
    if (state.m_60734_() == this && newState.m_60734_() == this)
      return; 
    BlockEntity te = world.m_7702_(pos);
    if (te instanceof SalvagingTableTile) {
      SalvagingTableTile salvTile = (SalvagingTableTile)te;
      for (int i = 0; i < salvTile.output.getSlots(); i++)
        m_49840_(world, pos, salvTile.output.getStackInSlot(i)); 
    } 
    super.m_6810_(state, world, pos, newState, isMoving);
  }
}
